
***** cou3fbbasccdpDcom.f : common blocks and global declarations.

      Implicit None

      Integer*2 Np,Ns,FNp,dimi,dimj,dimk,dimijk
      Parameter (Np=500,Ns=200,FNp=12000,dimi=20,dimj=50,dimk=20,
     &           dimijk=20000)

C     !!! If Np > 32000 then make grid, home, near, Np, FNp Integer*4 !!!

C	Note that the maximum integer*2 is +(2^15)-1
C	and the minimum is -2^15 (i.e., 16 bits),
C	whereas the maximum integer*4 is +(2^31)-1
C	and the minimum is -2^31 (i.e., 32 bits).

      Common /Config/ x(Np),y(Np),z(Np),r(Np),v1(Np),v2(Np),v3(Np),
     &                w1(Np),w2(Np),w3(Np),mass(Np)
      Common /Confnn/ home(FNp),near(FNp)
      Common /Lattic/ grid(dimi,dimj,dimk),invx(Np),invy(Np),invz(Np)
      Common /Strips/ sf(Ns),sfs(Ns),u1p(Ns),u2p(Ns),u3p(Ns),
     &             uu1p(Ns),uv12p(Ns),uu2p(Ns),uu3p(Ns),
     &             w1p(Ns),w2p(Ns),w3p(Ns),ww1p(Ns),ww2p(Ns),ww3p(Ns),
     &		   ub1,ub3,Tb1,Tb3,stickcol(Ns),slipcol(Ns)
      Common /Param1/ ed,ew,mu,muw,con,aveD,Rmax,cell,halfxlen,halfzlen
      Common /Param2/ pi,xlen,ylen,zlen,strip,gravx,gravy,sD,vnhnmx
      Common /Param3/ beta0,beta0w
      Common /Time/ dt,time,time0,tpic,tpict,duration
      Common /Fieldi/ ni,nj,nk,nsearch,N,NNl,Nl,Nu,Nt,nstrip,mcount
      Common /Contrl/ nco,ncol,count,ncal,ncalt,wallcoll,wco,
     &                ncalw,ncalp,nsta,nstat,ncolns,kcrit
      Common /Wallstat/ m1l,m2l,m3l,DTl,DRl,
     &               g1l,g2l,g3l,u1l,u2l,u3l,
     &                  uu1l,uu2l,uu3l,
     &       		u1ltot,u2ltot,u3ltot,
     &       		uu1ltot,uu2ltot,uu3ltot,
     &                  ww1l,ww2l,ww3l,
     &                  w1l,w2l,w3l,
     &			m1lns,m2lns,m3lns
      Common /Verify/ tolerance,over,overw
      Common /Files/ fname(4)
      Common /Progname/ programname
      Common /Flags/ flag
      Common /collint/	du2,t1du2,t3du2,du2sq,du2cu,dgtgn,
     &			g0a1,g0a3,g0b1,g0b3,gxgn,du1

      Real*8 x,y,z,r,v1,v2,v3,w1,w2,w3,mass
      Integer*2 home,near
      Integer*2 grid,invx,invy,invz
      Real*8 sf,sfs,u1p,u2p,u3p,uu1p,uv12p,uu2p,uu3p,
     &       w1p,w2p,w3p,ww1p,ww2p,ww3p,ub1,ub3,Tb1,Tb3
      Real*8 ed,ew,mu,muw,con,aveD,Rmax,cell,halfxlen,halfzlen
      Real*8 pi,xlen,ylen,zlen,strip,gravx,gravy,sD,vnhnmx
      Real*8 beta0,beta0w
      Real*8 dt,time,time0,tpic,tpict,duration
      Integer*2 ni,nj,nk,nsearch,N,NNl,Nl,Nu,Nt,nstrip,mcount
      Integer*2 ncal,ncalt,ncalw,ncalp,nsta,nstat,ncolns,kcrit
      Integer*4 nco,ncol,count,wallcoll,wco,stickcol,slipcol
      Real*8 m1l,m2l,m3l,DTl,DRl,g1l,g2l,g3l,
     &       u1l,u2l,u3l,
     &       uu1l,uu2l,uu3l,
     &       u1ltot,u2ltot,u3ltot,
     &       uu1ltot,uu2ltot,uu3ltot,
     &       ww1l,ww2l,ww3l,
     &       w1l,w2l,w3l,
     &	     m1lns,m2lns,m3lns
      Real*8 tolerance,over,overw
      Character*12 fname
      Character*30 programname
      Logical Flag
      Real*8 du2,t1du2,t3du2,du2sq,du2cu,dgtgn,
     &	     g0a1,g0a3,g0b1,g0b3,gxgn,du1


